`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    16:51:40 09/02/2013 
// Design Name: 
// Module Name:    top 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module top(
in,
clk,
reset,
out
    );

input [7:0] in;
input clk;
input reset;
output [7:0] out;

 reg [7:0] count;
    reg [27:0] count1;
    reg enable;

    always @(posedge clk or posedge reset)
begin
        if (reset == 1'b1) begin
            enable = 1'b0;
            count1 = 24'b0;
        end else begin
            count1 = count1 + 1;
    
            if (count1 > 28'b01111111111111111111111111) begin
                enable = 1'b1;
                count1 = 24'b0;
            end else
                enable = 1'b0;
        end

   end

    always @(posedge enable or posedge reset)
begin
        if (reset == 1'b1) 
            count <= 8'b00000000;
        else
				begin
					count[0] <= ~count[0] ; 
					count[1] <= ~count[1] ; 
					count[2] <= ~count[2] ; 
					count[3] <= ~count[3] ; 
					count[4] <= ~count[4] ; 
					count[5] <= ~count[5] ; 
					count[6] <= ~count[6] ; 
					count[7] <= ~count[7] ; 
					
				end
    end

    assign out[0] = count[0] & in[0];
	 assign out[1] = count[1] & in[1];
	 assign out[2] = count[2] & in[2];
	 assign out[3] = count[3] & in[3];
	 assign out[4] = count[4] & in[4];
	 assign out[5] = count[5] & in[5];
	 assign out[6] = count[6] & in[6];
	 assign out[7] = count[7] & in[7];
endmodule
